import graph;
usepackage("amsmath");
picture fig1,fig2,fig3,fig4,fig5,fig6;
real xsize=10cm;

size(18cm,0);
real x=1/3;
pair M=(x,0);
// unitsize(x=1cm);
// real f(real x){return x;}

xlimits(0,1.25);
ylimits(0,1.25);
// draw(graph(f,-3,3));
xaxis(0,1,Ticks(Step=1));
yaxis(0,1,Ticks(Step=1));
xequals(rotate(0)*Label("$y=\text{Aire}(x)$",align=N+2E),0,ymin=0, ymax=1.1, Arrow);
yequals(0,xmin=0, xmax=1.1, Arrow);
labelx("$x$",x);
// labelx("$O$",0,SW);

add(fig1,currentpicture);
add(fig2,currentpicture);
add(fig3,currentpicture);
add(fig4,currentpicture);
add(fig5,currentpicture);
add(fig6,currentpicture);
erase();

// GRAPHE A
real f(real x){return x^2/2-x+1;}
draw(graph(f,0,1),linewidth(bp));
draw((0,0.5)--(1,0.5)--(1,0),dashed);
draw(M--(x,f(x))--(0,f(x)),dotted);
ytick("$\frac{1}{2}$",0.5);
label("Graphe A",truepoint(S),8*S);
add(fig1,currentpicture);
erase();

// GRAPHE B
real f(real x){return -x/2+1;}
draw(graph(f,0,1),linewidth(bp));
draw((0,0.5)--(1,0.5)--(1,0),dashed);
draw(M--(x,f(x))--(0,f(x)),dotted);
ytick("$\frac{1}{2}$",0.5);
label("Graphe B",truepoint(S),8*S);
add(fig2,currentpicture);
erase();

// GRAPHE C
real f(real x){return (1-x)^2;}
draw(graph(f,0,1),linewidth(bp));
draw(M--(x,f(x))--(0,f(x)),dotted);
label("Graphe C",truepoint(S),8*S);
add(fig3,currentpicture);
erase();

// GRAPHE D
real f(real x){return x^2;}
draw(graph(f,0,1),linewidth(bp));
draw(M--(x,f(x))--(0,f(x)),dotted);
draw((0,1)--(1,1)--(1,0),dashed);
label("Graphe D",truepoint(S),8*S);
add(fig4,currentpicture);
erase();

// GRAPHE E
real f(real x){return 2*x^2-2x+1;}
draw(graph(f,0,1),linewidth(bp));
draw(M--(x,f(x))--(0,f(x)),dotted);
draw((0,1)--(1,1)--(1,0),dashed);
labelx("$\frac{1}{2}$",0.5);
draw((0.5,0)--(0.5,f(0.5)),dashed);
label("Graphe E",truepoint(S),8*S);
add(fig5,currentpicture);
erase();

// GRAPHE F
real f(real x){return 1-(1-2x)^2;}
draw(graph(f,0,1),linewidth(bp));
draw(M--(x,f(x))--(0,f(x)),dotted);
draw((0,1)--(1,1)--(1,0),dashed);
labelx("$\frac{1}{2}$",0.5);
draw((0.5,0)--(0.5,f(0.5)),dashed);
label("Graphe F",truepoint(S),8*S);
add(fig6,currentpicture);
erase();

// Placement des figures
transform Th=shift(1.25,0);
transform Tv=shift(0,-1.5);
add(fig1);
add(Th*fig2);
add(Th^2*fig3);
add(Tv*fig4);
add(Th*Tv*fig5);
add(Th^2*Tv*fig6);

shipout(format="pdf");
